List PSI Metrics
curl --request GET \
--url https://hosting-panel.net/api/v1/psi \
--header 'Authorization: Bearer <token>'import requests
url = "https://hosting-panel.net/api/v1/psi"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hosting-panel.net/api/v1/psi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"domain": "<string>",
"mobile": {
"score": 123,
"measured_at": "<string>"
},
"desktop": {
"score": 123,
"measured_at": "<string>"
}
}
]
}{
"message": "<string>"
}PSI Metrics
List PSI Metrics
Requires the stats.read token ability.
The latest PageSpeed Insights performance score per owned domain, per strategy, over the last 30 days.
GET
/
psi
List PSI Metrics
Last modified on July 19, 2026
⌘I